config/routes.rb
Rails.application.routes.draw do
  get 'deployment/index'
#  devise_for :users, :path_names => { :sign_up => "register" }
  devise_for :users
  root 'welcome#index'
  # Create Index (form) & Post (creation)
  get '/create', :to => 'create#index'
  post '/create', :to => 'create#post'
  # Show VM routes 
  get '/show/:id' => 'show#index'
  get '/show/stop/:id' => 'show#stop'
  delete '/show/:id' => 'show#destroy'
  # Edit VM routes
  get '/edit/:id', :to => 'edit#index'
  post '/edit/:id', :to => 'edit#post'
  # N.O.C routes
  get '/ops', :to => 'ops#index'
  # Notes resources CRUD
  resources :notes
  # Deploy controller
  get '/deployment', :to => 'deployment#index'
  post '/deployment', :to => 'deployment#post'  
end

app/models/note.rb
class Note < ApplicationRecord
    validates :title, presence: true, length: { minimum: 5 }
    validates :text, presence: true, length: { minimum: 10 }
end

app/controllers/notes_controller.rb
class NotesController < ApplicationController
    def new
        @note = Note.new
    end

    def index
        @notes = Note.all
        flash.now[:notice] = "Il y a #{@notes.size} notes"

    end
    
    def show
        @note = Note.find(params[:id])
    end

    def create 
        @note = Note.new(note_params)
        @note['author'] = current_user.email
        if @note.save
          redirect_to @note
        else
          render 'new'
        end        
    end

    private
        def note_params
            params.require(:note).permit(:title, :text, :date, :author)
        end
end

app/helpers/notes_helper.rb
module NotesHelper
end

app/views/notes/index.html.erb
<h2> Liste des notes</h2>

</br>
<%= link_to 'Ajouter une note', new_note_path, class:"btn btn-primary" %>
<br>
</br>

<table class="table  table-striped table-bordered table-hover">

    <tr>
        <th>Date</th>
        <th>Author</th>
        <th>Title</th>
        <th>Text</th>
        <th></th>
    </tr>

    <% @notes.order("created_at desc").each do |note| %>
    <tr>
        <td><%= note.created_at %></td>
        <td><%= note.author %></td>
        <td><%= note.title %></td>
        <td><%= note.text %></td>
        <td><%= link_to 'Voir', note_path(note) %></td>
    </tr>
    <% end %>
</table>

app/views/notes/new.html.erb
<h2>Ajouter une note</h2>

<div class="form-group">
    <%= form_with scope: :note, url: notes_path, local: true do |form| %>

    <% if @note.errors.any? %>
    <div id="error_explanation">
        <h4>
            <%= pluralize(@note.errors.count, "erreurs") %> empêchent cette note d'être enregistré.
        </h4>
        <ul>
            <% @note.errors.full_messages.each do |msg| %>
            <li><%= msg %></li>
            <% end %>
        </ul>
    </div>
    <% end %>

    <div class="field">
        <%= form.label :Titre %><br>
        <%= form.text_field :title, class: "form-control" %>
    </div>

    <div class="field">
        <%= form.label :Message %><br>
        <%= form.text_area :text, class: "form-control", rows: "8"   %>
    </div>

    <div class="field">
        <%= form.submit "Ajouter", :class => "btn btn-large btn-primary"%>
        <%= link_to 'Retour', notes_path, class:"btn btn-primary" %>
    </div>
    <% end %>

</div>

app/views/notes/show.html.erb
<p>
    <strong>Title:</strong>
    <%= @note.title %>
</p>

<p>
    <strong>Date:</strong>
    <%= @note.created_at %>
</p>

<p>
    <strong>Author:</strong>
    <%= @note.author %>
</p>

<p>
    <strong>Text:</strong>
    <%= @note.text %>
</p>

<%= link_to 'Retour', notes_path, class:"btn btn-primary"%>